Как преобразовать 3d полилинию в 2d полилинию autocad
Перейти к содержимому

Как преобразовать 3d полилинию в 2d полилинию autocad

  • автор:

Преобразование 3D-полилиний в 2D

Для преобразования 3D в 2D полилинии используется команда «Преобразовать 3D полилинии в 2D» .

Новой полилинии присваивается отметка начальной точки 3D полилинии.

  1. Перейдите на вкладку «Редактирование» панель «Проектные данные» «Преобразовать 3D полилинии в 2D» найти .
  2. Выберите преобразуемые полилинии. Нажмите ENTER .

На уровень выше: Редактирование полилиний

Преобразование 2D полилиний в 3D

Для преобразования 2D полилиний в 3D полилинии используется команда «Преобразовать 2D полилинии в 3D» .

Эта утилита используется в случае необходимости изменить отметки отдельных вершин 2D полилинии. 2D полилинии представляют собой объекты, расположенные в одной плоскости. Назначать отметки 3D полилиниям можно с помощью команд отметок характерных линий.

  1. Перейдите на вкладку «Редактирование» панель «Проектные данные» «Преобразовать 2D полилинии в 3D» найти .
  2. Выберите преобразуемые полилинии. Нажмите ENTER .

На уровень выше: Редактирование полилиний

Задачи, связанные с данной
  • Преобразование 3D-полилиний в 2D
  • Редактирование отметок полилиний

Как перевести линии из 3D в 2D , чтобы они лежали на одной плоскости ?(фото

__________________
Делай хорошо, плохо само получится.

Регистрация: 28.07.2013

Сообщений: 103

выбрать все полилинии и в свойствах поменять уровень

__________________
Создание файлов форм и шрифтов (shx) http://dwg.ru/board/32231

Регистрация: 11.05.2005

Сообщений: 6,989

еще ссылка на аналог flatten LISP. Обнуление координаты Z (аналог FLATTEN )

__________________
Как использовать код на Лиспе читаем здесь

Форум DWG.RU > Программное обеспечение > AutoCAD > Как перевести линии из 3D в 2D , чтобы они лежали на одной плоскости ?(фото
Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Какой язык перспективен для инженера-конструктора с условием The_Mercy_Seat Программирование 705 17.03.2021 14:19
Как, например, на вид сверху копировать чертежи с вида сбоку, чтобы они были в одной плоскости? violetamber AutoCAD 6 14.01.2014 20:45
Как сделать чтобы размеры 3D чертежа проставлялись в своей плоскости? Ravilka AutoCAD 3 25.10.2013 11:27
разобрать 3D (точки фасада) на 2D плоскости Sta1917 AutoCAD 1 29.02.2012 21:48
3d обекты в 2d линии. Как. Saha AutoCAD 12 23.10.2008 14:33

Обратная связь — Вверх

Как превратить 3D-полилинию в 2D-полилинию? (Страница 1 из 2)

Подскажите плизззз как превратить 3D полилинию в 2D полилинию или просто полилинию? т.к. 3D полилинию нельзя сделать штрихованной или любым другим типом линии, а это очень надо!
СПАСИБО
с Уважением Михаил

#2 Ответ от kpblc 16 сентября 2005г. 08:25:39

Re: Как превратить 3D-полилинию в 2D-полилинию?

flatten из Express Tools. Правда, она за компанию еще и тексты корежит. Плющит все и вся.

Спасибо сказали: cathas4legs 1

#3 Ответ от Владимир Громов 16 сентября 2005г. 08:48:19

Re: Как превратить 3D-полилинию в 2D-полилинию?

Не совсем так. 3D-полилиния остается 3D-полилинией, только обнуляется координата Z в WCS (МСК). И хоть 3D-полилиния получается плоская, свойства у нее остаются прежними. А вот сплайны превращаются в полилинии. Если нужно все-таки работать в 3D, то лучше использовать не 3D-полилинию, а сплайн, IMHO. Ему-то можно назначить любой тип линии, хоть GAS_LINE.

#4 Ответ от kpblc 16 сентября 2005г. 09:31:06

Re: Как превратить 3D-полилинию в 2D-полилинию?

> Владимир Громов
Только что, специально проверил. Сделал 3dpolyline, потом flatten:
Сначала свойства объекта

((-1 . ) (0 . [b]"POLYLINE"[/b]) (330 . ) (5 . "33") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDb3dPolyline") (66 . 1) (10 0.0 0.0 0.0) (70 . 8) (40 . 0.0) (41 . 0.0) (210 0.0 0.0 1.0) (71 . 0) (72 . 0) (73 . 0) (74 . 0) (75 . 0))
((-1 . ) (0 . [b]"LWPOLYLINE"[/b]) (330 . ) (5 . "77") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbPolyline") (90 . 4) (70 . 0) (43 . 0.0) (38 . 0.0) (39 . 0.0) (10 -168.237 274.513) (40 . 0.0) (41 . 0.0) (42 . 0.0) (10 -75.4812 39.2497) (40 . 0.0) (41 . 0.0) (42 . 0.0) (10 -108.14 500.638) (40 . 0.0) (41 . 0.0) (42 . 0.0) (10 -68.9541 -0.613427) (40 . 0.0) (41 . 0.0) (42 . 0.0) (210 -1.0 0.0 0.0))

Т.е. она превратилась в lwpolyline, обычную облегченную полилинию. С ней можно делать все что угодно, как с обычной полилинией.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *